<?php

namespace App\Http\Controllers\Legacy;

use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\View\View;

class TestLegacyController extends Controller
{
    public function form(): View
    {
        return view('legacy.test-form');
    }

    public function submit(Request $request): Response
    {
        // Szándékosan kivételt dobunk a globális AJAX hibakezelés teszteléséhez
        throw new \Exception('Tesztelt általános hiba');
    }
}
